
Redmine - Defect #22176

Orphaned attachments

2016-03-10 19:01 - Simone Fratini

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.2

Description

When you create a new issue and attach one o more files.

If you don't save the issue (for some reason), these attachments are stored in the database and on the filesystem.

mysql> select * from attachments where container_id is null;

+----+--------------+----------------+---------------------+----------------------------------+---

-------+--------------+----------------------------------+-----------+-----------+----------------

-----+-------------+----------------+

| id | container_id | container_type | filename            | disk_filename                    | fi

lesize | content_type | digest                           | downloads | author_id | created_on     

     | description | disk_directory |

+----+--------------+----------------+---------------------+----------------------------------+---

-------+--------------+----------------------------------+-----------+-----------+----------------

-----+-------------+----------------+

|  1 |         NULL | NULL           | WP_20160305_001.jpg | 160310184012_WP_20160305_001.jpg |  1

335237 |              | 1bd2cb25ae7bf4dc78cdfab19768eac7 |         0 |         1 | 2016-03-10 18:4

0:13 | NULL        | 2016/03        |

|  2 |         NULL | NULL           | 100_0007-0.JPG      | 160310184902_100_0007-0.JPG      |   

170212 |              | 2584dac5daa37440924942d07b169f12 |         0 |         1 | 2016-03-10 18:4

9:02 | NULL        | 2016/03        |

|  3 |         NULL | NULL           | 100_0007-1.JPG      | 160310184905_100_0007-1.JPG      |   

164227 |              | f01fc8e99279e913973484e1dd6d8af1 |         0 |         1 | 2016-03-10 18:4

9:05 | NULL        | 2016/03        |

+----+--------------+----------------+---------------------+----------------------------------+---

-------+--------------+----------------------------------+-----------+-----------+----------------

-----+-------------+----------------+

 
root@ubuntu:/var/lib/redmine/default/files/2016/03# ll

total 1644

drwxr-xr-x 2 www-data www-data    4096 Mar 10 18:49 ./

drwxr-xr-x 3 www-data www-data    4096 Mar 10 18:40 ../

-rw-r--r-- 1 www-data www-data 1335237 Mar 10 18:40 160310184012_WP_20160305_001.jpg

-rw-r--r-- 1 www-data www-data  170212 Mar 10 18:49 160310184902_100_0007-0.JPG

-rw-r--r-- 1 www-data www-data  164227 Mar 10 18:49 160310184905_100_0007-1.JPG

Related issues:

Related to Redmine - Feature #10253: Better handling of attachments when vali... Closed

History

#1 - 2016-03-11 01:37 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

This is expected behavior.

You can use "rake redmine:attachments:prune".

#2 - 2022-03-31 01:54 - Go MAEDA

- Related to Defect #18572: some problems with file uploader added
#3 - 2022-03-31 01:56 - Go MAEDA

- Related to deleted (Defect #18572: some problems with file uploader)

#4 - 2022-03-31 01:56 - Go MAEDA

- Related to Feature #10253: Better handling of attachments when validation fails added
